package org.example.teaching.data;

/** 
 *	class Student
 *	A student with firstname lastname and age
 *	Non mutable after initialization
 *	Serializable object
 *
 *	@author Matthias Colin
 *	@version 1.0 (6/6/2010)
**/
public class Student implements java.io.Serializable {

	private static final long serialVersionUID = 555L;

	private String firstName;
	private String lastName;
	private int age;

	public Student(String firstName, String lastName, int age) 
	{
		this.firstName = firstName;
		this.lastName = lastName;
		this.age = age;
	}

	public String getFirstName() {
		return this.firstName;
	}

	public String getLastName() {
		return this.lastName;
	}

	public int getAge() {
		return this.age;
	}


}
